/******************************************************************************
*******************************************************************************
*******************************************************************************

    libferris
    Copyright (C) 2002 Ben Martin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    For more details see the COPYING file in the root directory of this
    distribution.

    $Id: libcreationmarkup_factory.cpp,v 1.1 2005/07/04 08:50:19 ben Exp $

    *******************************************************************************
    *******************************************************************************
    ******************************************************************************/

#include <FerrisCreationPlugin.hh>

using namespace std;

namespace Ferris
{
    static bool rhtml =
    RegisterCreationModule(
        "libcreationmarkup.so",
        "html",
        "   <elementType name=\"html\" mime-major=\"text\">\n"
        "		<elementType name=\"name\" default=\"new.html\">\n"
        "			<dataTypeRef name=\"string\"/>\n"
        "		</elementType>\n"
        "	</elementType>\n",
        false
        );

    static bool rxml =
    RegisterCreationModule(
        "libcreationmarkup.so",
        "xml",
        "   <elementType name=\"xml\" mime-major=\"text\">\n"
        "		<elementType name=\"name\" default=\"new.xml\">\n"
        "			<dataTypeRef name=\"string\"/>\n"
        "		</elementType>\n"
        "		<elementType name=\"root-element\" default=\"root\">\n"
        "			<dataTypeRef name=\"string\"/>\n"
        "		</elementType>\n"
        "	</elementType>\n",
        false
        );

    static bool rsgml =
    RegisterCreationModule(
        "libcreationmarkup.so",
        "sgml",
        "   <elementType name=\"sgml\" mime-major=\"text\">\n"
        "		<elementType name=\"name\" default=\"new.sgml\">\n"
        "			<dataTypeRef name=\"string\"/>\n"
        "		</elementType>\n"
        "	</elementType>\n",
        false
        );



};
